#### D.14.5.16 netMap2

Procedure from library `nets.lib` (see nets_lib).

Usage:
  netMap2(f); f map

Assume:
  f is a map from a ring to the basering

Return:
  visual presentation of the map f, alternative version

Theory:
  A Singular object is converted into a character array (a Net) for on screen printing.

Example:

    LIB "nets.lib";
    ring r1=101,(x,y,z),lp;
    ring r2=103,(a,b,c),lp;
    map f=r1,ab,ac,bc;
    netMap2(f);
    ==> f: r1 --> r2 , x -> ab , y -> ac , z -> bc
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.